Skip to main content

portalUserByCompanyBasicInfo

Returns portal users for the company with only basic information

portalUserByCompanyBasicInfo(
companyId: ID!
page: Int!
limit: Int!
params: PortalUserSearch
): PortalUserBasicInfoTypeCollection

Arguments

portalUserByCompanyBasicInfo.companyId ● ID! non-null scalar

portalUserByCompanyBasicInfo.page ● Int! non-null scalar

portalUserByCompanyBasicInfo.limit ● Int! non-null scalar

portalUserByCompanyBasicInfo.params ● PortalUserSearch input

Type

PortalUserBasicInfoTypeCollection object

PortalUserBasicInfoTypeCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPortalUserByCompanyBasicInfo($companyId: ID!, $page: Int!, $limit: Int!) {\n portalUserByCompanyBasicInfo(companyId: $companyId, page: $page, limit: $limit) { collection { id name avatarUrl } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>","page":1,"limit":1}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.